# Uses of Interface
org.springframework.web.client.RestClient.RequestBodyUriSpec

Packages that use RestClient.RequestBodyUriSpec
Package
Description
org.springframework.web.client
Core package of the client-side web support.

## Uses of RestClient.RequestBodyUriSpec in org.springframework.web.client

Methods in org.springframework.web.client that return RestClient.RequestBodyUriSpec
Modifier and Type
Method
Description
`RestClient.RequestBodyUriSpec`
RestClient.`method(HttpMethod method)`
Start building a request for the given `HttpMethod`.
`RestClient.RequestBodyUriSpec`
RestClient.`patch()`
Start building an HTTP PATCH request.
`RestClient.RequestBodyUriSpec`
RestClient.`post()`
Start building an HTTP POST request.
`RestClient.RequestBodyUriSpec`
RestClient.`put()`
Start building an HTTP PUT request.